<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy moc_SerialPort.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('moc___serial_port_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">moc_SerialPort.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="moc___serial_port_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/****************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">** Meta object code from reading C++ file &#39;SerialPort.hpp&#39;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">**</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">** Created by: The Qt Meta Object Compiler version 68 (Qt 6.5.0)</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">**</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">** WARNING! All changes made in this file will be lost!</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*****************************************************************************/</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &quot;../inc/SerialPort.hpp&quot;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#include &lt;QtCore/qmetatype.h&gt;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#if __has_include(&lt;QtCore/qtmochelpers.h&gt;)</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QtCore/qtmochelpers.h&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>QT_BEGIN_MOC_NAMESPACE</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#if !defined(Q_MOC_OUTPUT_REVISION)</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#error &quot;The header file &#39;SerialPort.hpp&#39; doesn&#39;t include &lt;QObject&gt;.&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#elif Q_MOC_OUTPUT_REVISION != 68</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#error &quot;This file was generated using the moc from 6.5.0. It&quot;</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">#error &quot;cannot be used with the include files from this version of Qt.&quot;</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">#error &quot;(The moc has changed too much.)&quot;</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef Q_CONSTINIT</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="moc___serial_port_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">   30</a></span><span class="preprocessor">#define Q_CONSTINIT</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>QT_WARNING_PUSH</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><a class="code hl_namespace" href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>QT_WARNING_DISABLE_GCC(<span class="stringliteral">&quot;-Wuseless-cast&quot;</span>)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>namespace {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef QT_MOC_HAS_STRINGDATA</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">struct </span>qt_meta_stringdata_CLASSSerialPortENDCLASS_t {};</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="keyword">static</span> <span class="keyword">constexpr</span> <span class="keyword">auto</span> qt_meta_stringdata_CLASSSerialPortENDCLASS = QtMocHelpers::stringData(</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="stringliteral">&quot;SerialPort&quot;</span>,</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="stringliteral">&quot;receiveData&quot;</span>,</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="stringliteral">&quot;&quot;</span>,</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="stringliteral">&quot;RobotData*&quot;</span>,</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="stringliteral">&quot;data&quot;</span>,</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="stringliteral">&quot;startConnection&quot;</span>,</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="stringliteral">&quot;endConnection&quot;</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">#else  </span><span class="comment">// !QT_MOC_HAS_STRING_DATA</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html">   50</a></span><span class="keyword">struct </span><a class="code hl_struct" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html">qt_meta_stringdata_CLASSSerialPortENDCLASS_t</a> {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a5d35b4783de7602ad0aa9c65a511ef1a">   51</a></span>    uint offsetsAndSizes[14];</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a2d890d29fa9813dfe8781daf35eb96df">   52</a></span>    <span class="keywordtype">char</span> stringdata0[11];</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a49c2902991f470452f86e1855cf08328">   53</a></span>    <span class="keywordtype">char</span> stringdata1[12];</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a758083fdc8464a2fff5c49dbc1170a8d">   54</a></span>    <span class="keywordtype">char</span> stringdata2[1];</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a197266f304a74564638f1e7b36243511">   55</a></span>    <span class="keywordtype">char</span> stringdata3[11];</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#acb73f5aa8460524a6b3d98f69282bb8f">   56</a></span>    <span class="keywordtype">char</span> stringdata4[5];</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a38bd457252f598c262e9ca10136ecbcc">   57</a></span>    <span class="keywordtype">char</span> stringdata5[16];</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#aca356ca6030a5175dff2be357357d7dc">   58</a></span>    <span class="keywordtype">char</span> stringdata6[14];</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>};</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">   60</a></span><span class="preprocessor">#define QT_MOC_LITERAL(ofs, len) \</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">    uint(sizeof(qt_meta_stringdata_CLASSSerialPortENDCLASS_t::offsetsAndSizes) + ofs), len </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><a class="code hl_define" href="moc___serial_port_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a> <span class="keyword">static</span> <span class="keyword">const</span> qt_meta_stringdata_CLASSSerialPortENDCLASS_t qt_meta_stringdata_CLASSSerialPortENDCLASS = {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(0, 10),  <span class="comment">// &quot;SerialPort&quot;</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(11, 11),  <span class="comment">// &quot;receiveData&quot;</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(23, 0),  <span class="comment">// &quot;&quot;</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(24, 10),  <span class="comment">// &quot;RobotData*&quot;</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(35, 4),  <span class="comment">// &quot;data&quot;</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(40, 15),  <span class="comment">// &quot;startConnection&quot;</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_define" href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(56, 13)   <span class="comment">// &quot;endConnection&quot;</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    },</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="stringliteral">&quot;SerialPort&quot;</span>,</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="stringliteral">&quot;receiveData&quot;</span>,</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="stringliteral">&quot;&quot;</span>,</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="stringliteral">&quot;RobotData*&quot;</span>,</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="stringliteral">&quot;data&quot;</span>,</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="stringliteral">&quot;startConnection&quot;</span>,</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="stringliteral">&quot;endConnection&quot;</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>};</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="preprocessor">#undef QT_MOC_LITERAL</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">#endif </span><span class="comment">// !QT_MOC_HAS_STRING_DATA</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>} <span class="comment">// unnamed namespace</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><a class="code hl_define" href="moc___serial_port_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a> <span class="keyword">static</span> <span class="keyword">const</span> uint qt_meta_data_CLASSSerialPortENDCLASS[] = {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> <span class="comment">// content:</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>      11,       <span class="comment">// revision</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>       0,       <span class="comment">// classname</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>       0,    0, <span class="comment">// classinfo</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>       3,   14, <span class="comment">// methods</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>       0,    0, <span class="comment">// properties</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>       0,    0, <span class="comment">// enums/sets</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>       0,    0, <span class="comment">// constructors</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>       0,       <span class="comment">// flags</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>       0,       <span class="comment">// signalCount</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> <span class="comment">// slots: name, argc, parameters, tag, flags, initial metatype offsets</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>       1,    1,   32,    2, 0x0a,    1 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>       5,    0,   35,    2, 0x0a,    3 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>       6,    0,   36,    2, 0x0a,    4 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> <span class="comment">// slots: parameters</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    QMetaType::Bool, 0x80000000 | 3,    4,</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    QMetaType::Bool,</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    QMetaType::Void,</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>       0        <span class="comment">// eod</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>};</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><a class="code hl_define" href="moc___serial_port_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a> <span class="keyword">const</span> QMetaObject SerialPort::staticMetaObject = { {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    QMetaObject::SuperData::link&lt;QSerialPort::staticMetaObject&gt;(),</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    qt_meta_stringdata_CLASSSerialPortENDCLASS.<a class="code hl_variable" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a5d35b4783de7602ad0aa9c65a511ef1a">offsetsAndSizes</a>,</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    qt_meta_data_CLASSSerialPortENDCLASS,</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    qt_static_metacall,</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="keyword">nullptr</span>,</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    qt_incomplete_metaTypeArray&lt;qt_meta_stringdata_CLASSSerialPortENDCLASS_t,</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="comment">// Q_OBJECT / Q_GADGET</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        QtPrivate::TypeAndForceComplete&lt;SerialPort, std::true_type&gt;,</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="comment">// method &#39;receiveData&#39;</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        QtPrivate::TypeAndForceComplete&lt;bool, std::false_type&gt;,</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        QtPrivate::TypeAndForceComplete&lt;RobotData *, std::false_type&gt;,</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="comment">// method &#39;startConnection&#39;</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        QtPrivate::TypeAndForceComplete&lt;bool, std::false_type&gt;,</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="comment">// method &#39;endConnection&#39;</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    &gt;,</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <span class="keyword">nullptr</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>} };</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="keywordtype">void</span> SerialPort::qt_static_metacall(QObject *_o, QMetaObject::Call _c, <span class="keywordtype">int</span> _id, <span class="keywordtype">void</span> **_a)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>{</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <span class="keywordflow">if</span> (_c == QMetaObject::InvokeMetaMethod) {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keyword">auto</span> *_t = <span class="keyword">static_cast&lt;</span><a class="code hl_class" href="class_serial_port.html">SerialPort</a> *<span class="keyword">&gt;</span>(_o);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        (void)_t;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">switch</span> (_id) {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">case</span> 0: { <span class="keywordtype">bool</span> _r = _t-&gt;<a class="code hl_slot" href="class_serial_port.html#a5676fc11a29e360a6ab272243d0546bf">receiveData</a>((*<span class="keyword">reinterpret_cast&lt;</span> std::add_pointer_t&lt;RobotData*&gt;<span class="keyword">&gt;</span>(_a[1])));</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <span class="keywordflow">if</span> (_a[0]) *<span class="keyword">reinterpret_cast&lt;</span> <span class="keywordtype">bool</span>*<span class="keyword">&gt;</span>(_a[0]) = std::move(_r); }  <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">case</span> 1: { <span class="keywordtype">bool</span> _r = _t-&gt;startConnection();</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            <span class="keywordflow">if</span> (_a[0]) *<span class="keyword">reinterpret_cast&lt;</span> <span class="keywordtype">bool</span>*<span class="keyword">&gt;</span>(_a[0]) = std::move(_r); }  <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">case</span> 2: _t-&gt;endConnection(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">default</span>: ;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>}</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="keyword">const</span> QMetaObject *SerialPort::metaObject()<span class="keyword"> const</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span><span class="keyword"></span>{</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <span class="keywordflow">return</span> QObject::d_ptr-&gt;metaObject ? QObject::d_ptr-&gt;dynamicMetaObject() : &amp;<a class="code hl_variable" href="namespace_q_c_p.html#a6de91ee30f2faa5e847a7be8b178b0f6">staticMetaObject</a>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>}</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="keywordtype">void</span> *SerialPort::qt_metacast(<span class="keyword">const</span> <span class="keywordtype">char</span> *_clname)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>{</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="keywordflow">if</span> (!_clname) <span class="keywordflow">return</span> <span class="keyword">nullptr</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    <span class="keywordflow">if</span> (!strcmp(_clname, qt_meta_stringdata_CLASSSerialPortENDCLASS.<a class="code hl_variable" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a2d890d29fa9813dfe8781daf35eb96df">stringdata0</a>))</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">void</span>*<span class="keyword">&gt;</span>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    <span class="keywordflow">return</span> QSerialPort::qt_metacast(_clname);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>}</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="keywordtype">int</span> SerialPort::qt_metacall(QMetaObject::Call _c, <span class="keywordtype">int</span> _id, <span class="keywordtype">void</span> **_a)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>{</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    _id = QSerialPort::qt_metacall(_c, _id, _a);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    <span class="keywordflow">if</span> (_id &lt; 0)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keywordflow">return</span> _id;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    <span class="keywordflow">if</span> (_c == QMetaObject::InvokeMetaMethod) {</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">if</span> (_id &lt; 3)</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            qt_static_metacall(<span class="keyword">this</span>, _c, _id, _a);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        _id -= 3;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (_c == QMetaObject::RegisterMethodArgumentMetaType) {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">if</span> (_id &lt; 3)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            *<span class="keyword">reinterpret_cast&lt;</span>QMetaType *<span class="keyword">&gt;</span>(_a[0]) = QMetaType();</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        _id -= 3;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    <span class="keywordflow">return</span> _id;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>}</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>QT_WARNING_POP</div>
<div class="ttc" id="aclass_serial_port_html"><div class="ttname"><a href="class_serial_port.html">SerialPort</a></div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8hpp_source.html#l00014">SerialPort.hpp:15</a></div></div>
<div class="ttc" id="aclass_serial_port_html_a5676fc11a29e360a6ab272243d0546bf"><div class="ttname"><a href="class_serial_port.html#a5676fc11a29e360a6ab272243d0546bf">SerialPort::receiveData</a></div><div class="ttdeci">bool receiveData(RobotData *data)</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8cpp_source.html#l00029">SerialPort.cpp:29</a></div></div>
<div class="ttc" id="amoc___serial_port_8cpp_html_a3c6e81753001d10d51e62d0a29c273bc"><div class="ttname"><a href="moc___serial_port_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a></div><div class="ttdeci">#define QT_MOC_LITERAL(ofs, len)</div><div class="ttdef"><b>Definition</b> <a href="moc___serial_port_8cpp_source.html#l00060">moc_SerialPort.cpp:60</a></div></div>
<div class="ttc" id="amoc___serial_port_8cpp_html_ad83b2306f94b5b9e5625794fc238c8a0"><div class="ttname"><a href="moc___serial_port_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a></div><div class="ttdeci">#define Q_CONSTINIT</div><div class="ttdef"><b>Definition</b> <a href="moc___serial_port_8cpp_source.html#l00030">moc_SerialPort.cpp:30</a></div></div>
<div class="ttc" id="anamespace_q_c_p_html_a6de91ee30f2faa5e847a7be8b178b0f6"><div class="ttname"><a href="namespace_q_c_p.html#a6de91ee30f2faa5e847a7be8b178b0f6">QCP::staticMetaObject</a></div><div class="ttdeci">const QMetaObject staticMetaObject</div><div class="ttdef"><b>Definition</b> <a href="moc__qcustomplot_8cpp_source.html#l11628">moc_qcustomplot.cpp:11628</a></div></div>
<div class="ttc" id="anamespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_html"><div class="ttname"><a href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2moc___distance_win_8cpp_source.html#l00037">build-Robomap-LinuxMint-Debug/moc_DistanceWin.cpp:37</a></div></div>
<div class="ttc" id="astruct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb_html"><div class="ttname"><a href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSSerialPortENDCLASS_t</a></div><div class="ttdef"><b>Definition</b> <a href="moc___serial_port_8cpp_source.html#l00050">moc_SerialPort.cpp:50</a></div></div>
<div class="ttc" id="astruct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb_html_a2d890d29fa9813dfe8781daf35eb96df"><div class="ttname"><a href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a2d890d29fa9813dfe8781daf35eb96df">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSSerialPortENDCLASS_t::stringdata0</a></div><div class="ttdeci">char stringdata0[11]</div><div class="ttdef"><b>Definition</b> <a href="moc___serial_port_8cpp_source.html#l00052">moc_SerialPort.cpp:52</a></div></div>
<div class="ttc" id="astruct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb_html_a5d35b4783de7602ad0aa9c65a511ef1a"><div class="ttname"><a href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_ae125d3029b0fc8d6ab84e0ec7b35ddeb.html#a5d35b4783de7602ad0aa9c65a511ef1a">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSSerialPortENDCLASS_t::offsetsAndSizes</a></div><div class="ttdeci">uint offsetsAndSizes[14]</div><div class="ttdef"><b>Definition</b> <a href="moc___serial_port_8cpp_source.html#l00051">moc_SerialPort.cpp:51</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fdb94c866a62644ee9972e7b13732458.html">build-Robomap-LinuxMint-Debug</a></li><li class="navelem"><a class="el" href="moc___serial_port_8cpp.html">moc_SerialPort.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
